optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetUnit (self, value)
def | GetUnit (self)
def | Run (self)
def | Stop (self)
def | GetRunningStatus (self)
def | SetStartQ1 (self, value)
def | GetStartQ1 (self)
def | SetEndQ1 (self, value)
def | GetEndQ1 (self)
def | SetStartQ2 (self, value)
def | GetStartQ2 (self)
def | SetEndQ2 (self, value)
def | GetEndQ2 (self)
def | SetStartQ3 (self, value)
def | GetStartQ3 (self)
def | SetEndQ3 (self, value)
def | GetEndQ3 (self)
def | SetStartQ4 (self, value)
def | GetStartQ4 (self)
def | SetEndQ4 (self, value)
def | GetEndQ4 (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False)
def | set_register_id (self, int register_id, value, type=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_id (self, int register_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| unit
| run
| startQ1
| endQ1
| startQ2
| endQ2
| startQ3
| endQ3
| startQ4
| endQ4
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    * Quadrant vector pattern system ID base: 0x80
    *
    * | Address | Name                    | Default | Description                                                                              | Format and value |
    * | ------- | ----------------------- | ------- | ---------------------------------------------------------------------------------------- | ---------------- |
    * | 0       | unit type               | 0       | see ChannelValue                                                                         | uint32           |
    * | 1       | run                     | false   | turn system on and off                                                                   | boolean          |
    * | 2       | quadrant vector 1 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 1   | uint32           |
    * | 3       | quadrant vector 1 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 1 | uint32           |
    * | 4       | quadrant vector 2 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 2   | uint32           |
    * | 5       | quadrant vector 2 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 2 | uint32           |
    * | 6       | quadrant vector 3 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 3   | uint32           |
    * | 7       | quadrant vector 3 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 3 | uint32           |
    * | 8       | quadrant vector 4 start | 0       | index in Vector Pattern Memory of first point of vector to move to quadrant position 4   | uint32           |
    * | 9       | quadrant vector 4 end   | 0       | index in Vector Pattern Memory after last point of vector to move to quadrant position 4 | uint32           |
    */

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ GetEndQ1()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ1 | ( |  | self | ) |

## ◆ GetEndQ2()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ2 | ( |  | self | ) |

## ◆ GetEndQ3()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ3 | ( |  | self | ) |

## ◆ GetEndQ4()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetEndQ4 | ( |  | self | ) |

## ◆ GetRunningStatus()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetRunningStatus | ( |  | self | ) |

## ◆ GetStartQ1()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ1 | ( |  | self | ) |

## ◆ GetStartQ2()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ2 | ( |  | self | ) |

## ◆ GetStartQ3()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ3 | ( |  | self | ) |

## ◆ GetStartQ4()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetStartQ4 | ( |  | self | ) |

## ◆ GetUnit()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.GetUnit | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.help | ( |  | ) |
| static

## ◆ Run()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.Run | ( |  | self | ) |

## ◆ SetEndQ1()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ1 | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetEndQ2()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ2 | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetEndQ3()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ3 | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetEndQ4()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetEndQ4 | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetStartQ1()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ1 | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetStartQ2()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ2 | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetStartQ3()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ3 | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetStartQ4()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetStartQ4 | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetUnit()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.SetUnit | ( |  | self,
|  |  | value
| ) |  |

## ◆ Stop()

def optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.Stop | ( |  | self | ) |

## Member Data Documentation

## ◆ endQ1

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ1

## ◆ endQ2

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ2

## ◆ endQ3

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ3

## ◆ endQ4

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.endQ4

## ◆ name

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.name

## ◆ run

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.run

## ◆ startQ1

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ1

## ◆ startQ2

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ2

## ◆ startQ3

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ3

## ◆ startQ4

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.startQ4

## ◆ sys_id

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.sys_id

## ◆ unit

optoKummenberg.registers.InputStage.QuadrantVectorPatternUnit.unit

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py